Loading...
Searching...
No Matches
mdds::mtv::aos::detail::iterator_base< Traits, NodeUpdateFunc > Class Template Reference
Inheritance diagram for mdds::mtv::aos::detail::iterator_base< Traits, NodeUpdateFunc >:

## Public Types

typedef common_base::node | value_type
typedef value_type * | pointer
typedef value_type & | reference
typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category

## Public Member Functions

| iterator_base (const base_iterator_type &pos, const base_iterator_type &end, const parent_type *parent, size_type block_index)
value_type & | operator* ()
const value_type & | operator* () const
value_type * | operator-> ()
const value_type * | operator-> () const
iterator_base & | operator++ ()
iterator_base & | operator-- ()
const base_iterator_type & | get_end () const
const base_iterator_type & | get_pos () const
Public Member Functions inherited from mdds::mtv::aos::detail::iterator_common_base< Traits >
bool | operator== (const iterator_common_base &other) const
bool | operator!= (const iterator_common_base &other) const
iterator_common_base & | operator= (const iterator_common_base &other)
void | swap (iterator_common_base &other)
const node & | get_node () const
const base_iterator_type & | get_pos () const
const base_iterator_type & | get_end () const

## Additional Inherited Members

Protected Types inherited from mdds::mtv::aos::detail::iterator_common_base< Traits >
typedef Traits::parent | parent_type
typedef Traits::blocks | blocks_type
typedef Traits::base_iterator | base_iterator_type
typedef parent_type::size_type | size_type
typedef mdds::detail::mtv::iterator_value_node< parent_type, size_type > | node
Protected Member Functions inherited from mdds::mtv::aos::detail::iterator_common_base< Traits >
| iterator_common_base (const base_iterator_type &pos, const base_iterator_type &end, const parent_type *parent, size_type block_index)
| iterator_common_base (const iterator_common_base &other)
void | update_node ()
node * | inc ()
node * | dec ()
Protected Attributes inherited from mdds::mtv::aos::detail::iterator_common_base< Traits >
node | m_cur_node
base_iterator_type | m_pos
base_iterator_type | m_end